// Responsive Menu

var $j = jQuery.noConflict();

// Isotope
$j(window).load(function(){

	var $container = $j('#folio');

	if( $container.length )   {
	$container.isotope({
		itemSelector : '.folio-item'
	});
	

	var $optionSets = $j('#portfolio .folio-filter'),
		$optionLinks = $optionSets.find('a');
	$optionLinks.click(function(){
		var $this = $j(this);
		// don't proceed if already selected
		if ( $this.hasClass('selected') ) {
			return false;
		}
		var $optionSet = $this.parents('.folio-filter');
		$optionSet.find('.selected').removeClass('selected');
		$this.addClass('selected');
	// make option object dynamically, i.e. { filter: '.my-filter-class' }
	var options = {},
		key = $optionSet.attr('data-option-key'),
		value = $this.attr('data-option-value');
		
	// parse 'false' as false boolean
	value = value === 'false' ? false : value;
	options[ key ] = value;
		if ( key === 'layoutMode' && typeof changeLayoutMode === 'function' ) {
		changeLayoutMode( $this, options );
	} else {
		// otherwise, apply new options
		$container.isotope( options );
	}    
	return false;
	});
	}
	
});

$j(window).bind('resize', function(e){ 
	  window.RT = setTimeout(function()  {$j('#folio').isotope('reLayout'); }, 800); 
	  });
